Board index FlightGear Support Installation Linux

Preview release 2020.1 binaries for Ubuntu?

Installing FlightGear, scenery, aircraft etc. on Linux systems like Ubuntu.

Preview release 2020.1 binaries for Ubuntu?

Postby merca » Sat May 16, 2020 3:19 am

I'd like to start testing the preview release, but I'm not good at compiling. Will it be a .deb for Ubuntu available anytime soon or where can I find detailed compilation instructions (including needed dependencies) as to have any chance of success at making it? Thanks.
merca
 
Posts: 1
Joined: Sat May 16, 2020 3:13 am

Re: Preview release 2020.1 binaries for Ubuntu?

Postby saiarcot895 » Mon May 18, 2020 12:06 am

2020.1 packages for Ubuntu for all releases besides Focal are now available in my stable PPA (link in my signature).
Saikrishna Arcot

My FlightGear PPAs: FlightGear Stable, FlightGear Development (Edge)
saiarcot895
 
Posts: 319
Joined: Sat Feb 02, 2013 4:26 pm
Callsign: flyhigh
Version: 2019.2.0
OS: Ubuntu 19.04

Re: Preview release 2020.1 binaries for Ubuntu?

Postby remarkrv » Mon May 18, 2020 2:17 am

I'm running Kubuntu 2020.4 and had FG2019 installed and working great. The system upgraded to FG2020 and now getting the message "could not find the program fgfs" when when starting it from the launch bar panel. There is a launch button on the panel but no FG icon on it. Running "fgfs --launcher" from the terminal didn't work either.
remarkrv
 
Posts: 17
Joined: Fri Sep 21, 2007 3:17 pm
Location: Northern Indiana
Version: 2017.3.1
OS: Ubuntu Linux

Re: Preview release 2020.1 binaries for Ubuntu?

Postby saiarcot895 » Mon May 18, 2020 3:52 am

remarkrv wrote in Mon May 18, 2020 2:17 am:I'm running Kubuntu 2020.4 and had FG2019 installed and working great. The system upgraded to FG2020 and now getting the message "could not find the program fgfs" when when starting it from the launch bar panel. There is a launch button on the panel but no FG icon on it. Running "fgfs --launcher" from the terminal didn't work either.


Can you paste the output of
Code: Select all
apt-cache policy flightgear flightgear-data-all flightgear-data-base flightgear-data-phi
?

Edit: Never mind, I just saw you had Kubuntu 20.04. Let me fix up the package build there.
Saikrishna Arcot

My FlightGear PPAs: FlightGear Stable, FlightGear Development (Edge)
saiarcot895
 
Posts: 319
Joined: Sat Feb 02, 2013 4:26 pm
Callsign: flyhigh
Version: 2019.2.0
OS: Ubuntu 19.04

Re: Preview release 2020.1 binaries for Ubuntu?

Postby saiarcot895 » Tue May 19, 2020 2:19 am

Build has been fixed, and you should be able to install 2020.1.1 now.
Saikrishna Arcot

My FlightGear PPAs: FlightGear Stable, FlightGear Development (Edge)
saiarcot895
 
Posts: 319
Joined: Sat Feb 02, 2013 4:26 pm
Callsign: flyhigh
Version: 2019.2.0
OS: Ubuntu 19.04

Re: Preview release 2020.1 binaries for Ubuntu?

Postby remarkrv » Tue May 19, 2020 3:30 pm

I did an install and still not able to run 'fgfs'

ron@Kubuntu:~$ sudo apt-get install flightgear
[sudo] password for ron:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
fonts-glyphicons-halflings kdegames-card-data-kf5 kdegames-mahjongg-data-kf5 libc-ares2
libfreecell-solver0 libjs-bootstrap libjs-excanvas libjs-jquery-flot libjs-jquery-ui
libjs-jquery-ui-theme-smoothness libjs-leaflet libjs-requirejs libjs-requirejs-text
libjs-sprintf-js libkf5kdegames-data libkf5kdegames7 libkf5kdegamesprivate1
libkf5kmahjongglib-data libkf5kmahjongglib5 libnode64 linux-headers-5.4.0-26
linux-headers-5.4.0-26-generic linux-image-5.4.0-26-generic linux-modules-5.4.0-26-generic
linux-modules-extra-5.4.0-26-generic linux-modules-nvidia-440-5.4.0-26-generic node-sprintf-js
nodejs nodejs-doc
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
flightgear-data-all flightgear-data-base libsimgearcore2020.1.1 libsimgearscene2020.1.1
The following NEW packages will be installed:
flightgear flightgear-data-all flightgear-data-base libsimgearcore2020.1.1
libsimgearscene2020.1.1
0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded.
Need to get 1,413 MB of archives.
After this operation, 2,061 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://ppa.launchpad.net/saiarcot895/flightgear/ubuntu focal/main amd64 libsimgearcore2020.1.1 amd64 1:2020.1.1-0ubuntu1~ppa3~20.04.1 [691 kB]
Get:2 http://ppa.launchpad.net/saiarcot895/flightgear/ubuntu focal/main amd64 libsimgearscene2020.1.1 amd64 1:2020.1.1-0ubuntu1~ppa3~20.04.1 [1,035 kB]
Get:3 http://ppa.launchpad.net/saiarcot895/flightgear/ubuntu focal/main amd64 flightgear-data-base all 1:2020.1.1+dfsg1-0ubuntu1~ppa5 [1,405 MB]
Ign:3 http://ppa.launchpad.net/saiarcot895/flightgear/ubuntu focal/main amd64 flightgear-data-base all 1:2020.1.1+dfsg1-0ubuntu1~ppa5
Ign:4 http://ppa.launchpad.net/saiarcot895/flightgear/ubuntu focal/main amd64 flightgear-data-all all 1:2020.1.1+dfsg1-0ubuntu1~ppa5
Err:5 http://ppa.launchpad.net/saiarcot895/flightgear/ubuntu focal/main amd64 flightgear amd64 1:2020.1.1-0ubuntu1~ppa1~20.04.1
Cannot initiate the connection to ppa.launchpad.net:80 (2001:67c:1560:8008::15). - connect (101: Network is unreachable) [IP: 91.189.95.83 80]
Err:3 http://ppa.launchpad.net/saiarcot895/flightgear/ubuntu focal/main amd64 flightgear-data-base all 1:2020.1.1+dfsg1-0ubuntu1~ppa5
Connection timed out [IP: 91.189.95.83 80]
Err:4 http://ppa.launchpad.net/saiarcot895/flightgear/ubuntu focal/main amd64 flightgear-data-all all 1:2020.1.1+dfsg1-0ubuntu1~ppa5
Cannot initiate the connection to ppa.launchpad.net:80 (2001:67c:1560:8008::15). - connect (101: Network is unreachable) Could not connect to ppa.launchpad.net:80 (91.189.95.83), connection timed out [IP: 91.189.95.83 80]
Fetched 1,726 kB in 7min 20s (3,925 B/s)
E: Failed to fetch http://ppa.launchpad.net/saiarcot895/fl ... a5_all.deb Connection timed out [IP: 91.189.95.83 80]
E: Failed to fetch http://ppa.launchpad.net/saiarcot895/fl ... a5_all.deb Cannot initiate the connection to ppa.launchpad.net:80 (2001:67c:1560:8008::15). - connect (101: Network is unreachable) Could not connect to ppa.launchpad.net:80 (91.189.95.83), connection timed out [IP: 91.189.95.83 80]
E: Failed to fetch http://ppa.launchpad.net/saiarcot895/fl ... _amd64.deb Cannot initiate the connection to ppa.launchpad.net:80 (2001:67c:1560:8008::15). - connect (101: Network is unreachable) [IP: 91.189.95.83 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
remarkrv
 
Posts: 17
Joined: Fri Sep 21, 2007 3:17 pm
Location: Northern Indiana
Version: 2017.3.1
OS: Ubuntu Linux

Re: Preview release 2020.1 binaries for Ubuntu?

Postby saiarcot895 » Tue May 19, 2020 3:32 pm

Looks like there was a network error when downloading the packages. Can you try again in a little while?
Saikrishna Arcot

My FlightGear PPAs: FlightGear Stable, FlightGear Development (Edge)
saiarcot895
 
Posts: 319
Joined: Sat Feb 02, 2013 4:26 pm
Callsign: flyhigh
Version: 2019.2.0
OS: Ubuntu 19.04

Re: Preview release 2020.1 binaries for Ubuntu?

Postby remarkrv » Wed May 20, 2020 12:45 am

I waited a few hours and did another install. This time it was successful. Thanks for your help.
remarkrv
 
Posts: 17
Joined: Fri Sep 21, 2007 3:17 pm
Location: Northern Indiana
Version: 2017.3.1
OS: Ubuntu Linux

Re: Preview release 2020.1 binaries for Ubuntu?

Postby Knüppelrührer » Wed May 20, 2020 8:17 am

Thanks Saikrishna for taking care of the Ubuntu binaries!

That was vital in this case! Weekend is booked for the MD-11 and A320 :-)
User avatar
Knüppelrührer
 
Posts: 205
Joined: Thu Oct 25, 2018 9:06 pm
Version: 2019.1.1
OS: ubuntu 18.04

Re: Preview release 2020.1 binaries for Ubuntu?

Postby AAL545 » Sat May 23, 2020 3:15 pm

Hello,

I'm currently on MX-Linux-19 and finally figured out how to add the ppa which is different then Ubuntu or Linux-mint, etc,etc.
I'm stuck on 2018.3.2 and when adding the PPA it skips 2019.1 and jumps to 2020.1 with missing dependencies. From what I understand is 2019.1 is the latest stable release.


AAL4955
AAL545
 
Posts: 208
Joined: Tue Aug 08, 2017 4:14 am

Re: Preview release 2020.1 binaries for Ubuntu?

Postby saiarcot895 » Sat May 23, 2020 5:03 pm

Technically, 2018.3.5 is the latest stable release, and 2020.1.1 is the latest preview release. However, I was not aware of this distinction, and went ahead and uploaded 2020.1.1.

What Ubuntu version are you mapping yourself to? bionic, eoan, or focal? Are you on amd64 or i386?
Saikrishna Arcot

My FlightGear PPAs: FlightGear Stable, FlightGear Development (Edge)
saiarcot895
 
Posts: 319
Joined: Sat Feb 02, 2013 4:26 pm
Callsign: flyhigh
Version: 2019.2.0
OS: Ubuntu 19.04

Re: Preview release 2020.1 binaries for Ubuntu?

Postby AAL545 » Sat May 23, 2020 6:21 pm

Technically, 2018.3.5 is the latest stable release, and 2020.1.1 is the latest preview release. However, I was not aware of this distinction, and went ahead and uploaded 2020.1.1.

What Ubuntu version are you mapping yourself to? bionic, eoan, or focal? Are you on amd64 or i386?


I would be pleased at this moment to get 2018.3.5 or 2019.1 which I had on Linux-mint before switching to MX-Linux.

I started with focal and worked my way down to bionic and same result.
My system is amd64!!

The 2020.1.1 should not be available yet as a standard/stable install correct? I thought the beta download was from a different source (excuse my wording) and the PPA source is always stable?
Anyway can you provide me a link to either one of the stable releases unless of course 2020.1.1 will be available soon!!!



AAL4955
AAL545
 
Posts: 208
Joined: Tue Aug 08, 2017 4:14 am

Re: Preview release 2020.1 binaries for Ubuntu?

Postby legoboyvdlp » Sat May 23, 2020 8:36 pm

Yes 2020.1.1 is released for several weeks and in fact there is 2020.1.2 coming shortly.
User avatar
legoboyvdlp
 
Posts: 7549
Joined: Sat Jul 26, 2014 1:28 am
Location: Northern Ireland
Callsign: G-LEGO
Version: next
OS: Windows 10 HP

Re: Preview release 2020.1 binaries for Ubuntu?

Postby AAL545 » Sat May 23, 2020 9:13 pm

Yes 2020.1.1 is released for several weeks and in fact there is 2020.1.2 coming shortly


Okay so it is correct that the PPA directs to 2020.1.1.
So why is it that after the upgrade when I click on the launcher that I receive the error no such file or directory?

Matter of fact the FG icon remained on my panel but no FG in menu/ games!!!!

I didn't reboot but my understanding is you don't have to on a Linux system.



AAL4955
AAL545
 
Posts: 208
Joined: Tue Aug 08, 2017 4:14 am

Re: Preview release 2020.1 binaries for Ubuntu?

Postby saiarcot895 » Sun May 24, 2020 3:11 pm

For MX-Linux, since it is based off of Debian instead of Ubuntu (Linux Mint is based off of Ubuntu, which makes it easier), there will be some guesswork in determining what version of Ubuntu to use for PPAs. Eoan would be the closest one currently supported, but support for that will be ending in a couple of months, so maybe Bionic is the next best choice. Focal very likely wouldn't work because of the newer version of OpenSceneGraph used there.

With bionic being used for the PPA version, in a terminal window, run the following commands, and something errors out, paste the full output here:
Code: Select all
sudo apt update
sudo apt purge flightgear flightgear-data-all flightgear-data-base flightgear-data-ai flightgear-data-models
sudo apt install flightgear


If the last command in that list errors out, paste the output of the following command:
Code: Select all
apt-cache policy flightgear flightgear-data-all flightgear-data-base flightgear-data-ai flightgear-data-models
Saikrishna Arcot

My FlightGear PPAs: FlightGear Stable, FlightGear Development (Edge)
saiarcot895
 
Posts: 319
Joined: Sat Feb 02, 2013 4:26 pm
Callsign: flyhigh
Version: 2019.2.0
OS: Ubuntu 19.04

Next

Return to Linux

Who is online

Users browsing this forum: No registered users and 0 guests